VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DebugUtilsObjectNameInfoEXT (ObjectType objectType_=ObjectType::eUnknown, uint64_t objectHandle_=0, const char *pObjectName_=nullptr)
| DebugUtilsObjectNameInfoEXT (VkDebugUtilsObjectNameInfoEXT const &rhs)
DebugUtilsObjectNameInfoEXT & | operator= (VkDebugUtilsObjectNameInfoEXT const &rhs)
DebugUtilsObjectNameInfoEXT & | setPNext (const void *pNext_)
DebugUtilsObjectNameInfoEXT & | setObjectType (ObjectType objectType_)
DebugUtilsObjectNameInfoEXT & | setObjectHandle (uint64_t objectHandle_)
DebugUtilsObjectNameInfoEXT & | setPObjectName (const char *pObjectName_)
| operator VkDebugUtilsObjectNameInfoEXT const & () const
| operator VkDebugUtilsObjectNameInfoEXT & ()
bool | operator== (DebugUtilsObjectNameInfoEXT const &rhs) const
bool | operator!= (DebugUtilsObjectNameInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
ObjectType | objectType
uint64_t | objectHandle
const char * | pObjectName

## Private Attributes

StructureType | sType = StructureType::eDebugUtilsObjectNameInfoEXT

## Detailed Description

Definition at line 21574 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugUtilsObjectNameInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::DebugUtilsObjectNameInfoEXT | ( | ObjectType | objectType_ = `ObjectType::eUnknown`,
|  | uint64_t | objectHandle_ = `0`,
|  | const char * | pObjectName_ = `nullptr`
| ) |  |

inline

Definition at line 21576 of file vulkan.hpp.

: objectType( objectType_ )
, objectHandle( objectHandle_ )
, pObjectName( pObjectName_ )
{
}

## DebugUtilsObjectNameInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::DebugUtilsObjectNameInfoEXT | ( | VkDebugUtilsObjectNameInfoEXT const & | rhs | ) |

inline

Definition at line 21585 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsObjectNameInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugUtilsObjectNameInfoEXT &()

VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator VkDebugUtilsObjectNameInfoEXT & | ( |  | ) |

inline

Definition at line 21624 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugUtilsObjectNameInfoEXT*>(this);
}

## operator VkDebugUtilsObjectNameInfoEXT const &()

VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator VkDebugUtilsObjectNameInfoEXT const & | ( |  | ) | const

inline

Definition at line 21619 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugUtilsObjectNameInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator!= | ( | DebugUtilsObjectNameInfoEXT const & | rhs | ) | const

inline

Definition at line 21638 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugUtilsObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator= | ( | VkDebugUtilsObjectNameInfoEXT const & | rhs | ) |

inline

Definition at line 21590 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsObjectNameInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator== | ( | DebugUtilsObjectNameInfoEXT const & | rhs | ) | const

inline

Definition at line 21629 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectType == rhs.objectType )
&& ( objectHandle == rhs.objectHandle )
&& ( pObjectName == rhs.pObjectName );
}

References objectHandle, objectType, pNext, pObjectName, and sType.

Referenced by operator!=().

## setObjectHandle()

DebugUtilsObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::setObjectHandle | ( | uint64_t | objectHandle_ | ) |

inline

Definition at line 21607 of file vulkan.hpp.

{
objectHandle = objectHandle_;
return *this;
}

References objectHandle.

## setObjectType()

DebugUtilsObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::setObjectType | ( | ObjectType | objectType_ | ) |

inline

Definition at line 21601 of file vulkan.hpp.

{
objectType = objectType_;
return *this;
}

## setPNext()

DebugUtilsObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21595 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPObjectName()

DebugUtilsObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::setPObjectName | ( | const char * | pObjectName_ | ) |

inline

Definition at line 21613 of file vulkan.hpp.

{
pObjectName = pObjectName_;
return *this;
}

References pObjectName.

## Field Documentation

## objectHandle

uint64_t VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::objectHandle

Definition at line 21649 of file vulkan.hpp.

Referenced by operator==(), and setObjectHandle().

## objectType

ObjectType VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::objectType

Definition at line 21648 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::pNext = nullptr

Definition at line 21647 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pObjectName

const char* VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::pObjectName

Definition at line 21650 of file vulkan.hpp.

Referenced by operator==(), and setPObjectName().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::sType = StructureType::eDebugUtilsObjectNameInfoEXT

private

Definition at line 21644 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::operator==
bool operator==(DebugUtilsObjectNameInfoEXT const &rhs) const
Definition: vulkan.hpp:21629
VkDebugUtilsObjectNameInfoEXT
Definition: vulkan_core.h:7416
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::pObjectName
const char * pObjectName
Definition: vulkan.hpp:21650
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:21644
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:21647
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::objectHandle
uint64_t objectHandle
Definition: vulkan.hpp:21649
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::objectType
ObjectType objectType
Definition: vulkan.hpp:21648
objectType
EGLenum objectType
Definition: eglext.h:128
VULKAN_HPP_NAMESPACE::DebugUtilsObjectNameInfoEXT::DebugUtilsObjectNameInfoEXT
DebugUtilsObjectNameInfoEXT(ObjectType objectType_=ObjectType::eUnknown, uint64_t objectHandle_=0, const char *pObjectName_=nullptr)
Definition: vulkan.hpp:21576